Delete a contact
DELETE/v1/contacts/{id}
Moves a contact to the trash. The contact is soft-deleted and may be restored from the Lightfield UI.
Calling delete on an already-trashed contact is a no-op and returns the existing record.
Required scope: contacts:delete
Rate limit category: Write
Delete a contact
curl https://api.lightfield.app/v1/contacts/$ID \
-X DELETE \
-H 'Lightfield-Version: 2026-03-01' \
-H "Authorization: Bearer $API_KEY"{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}Returns Examples
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}